Getting YAML syntax error while adding plugins

Hello,
i’m trying to install plugins
with this code

## Plugins go here
## see https://meta.discourse.org/t/19157 for details
hooks:
  after_code:
    - exec:
        cd: $home/plugins
        cmd:
          - git clone https://github.com/discourse/docker_manager.git
          - git clone https://github.com/JoeSey/reply-by-email-TL.git
          - git clone https://github.com/procourse/procourse-static-pages.git
          - git clone https://github.com/sudaraka94/preventing-malicious-linking-plugin.git
          - git clone https://github.com/discourse/discourse-whos-online.git
          - git clone https://github.com/discourse/discourse-voting.git
          - git clone https://github.com/synweap15/discourse-voice-record.git
          - git clone https://github.com/zh99998/discourse-username-localization.git
          - git clone https://github.com/JafethDC/discourse-user-feedback.git
	  - git clone https://github.com/discourse/discourse-translator.git
          - git clone https://github.com/paviliondev/discourse-topic-previews.git
	  - git clone https://github.com/TomGrobbe/discourse-topic-limit.git
	  - git clone https://github.com/discourse/discourse-tooltips.git
	  - git clone https://github.com/vinkashq/discourse-timeline.git
	  - git clone https://github.com/davidtaylorhq/discourse-telegram-notifications.git
	  - git clone https://github.com/discourse/discourse-user-notes.git
	  - git clone https://github.com/discourse/discourse-solved.git
	  - git clone https://github.com/discourse/discourse-chat-integration.git
	  - git clone https://github.com/discourse/discourse-sitemap.git
          - git clone https://github.com/bolariin/discourse-response-bot.git
          - git clone https://github.com/paviliondev/discourse-ratings.git
          - git clone https://github.com/paviliondev/discourse-quick-messages.git
          - git clone https://github.com/paviliondev/discourse-question-answer.git
          - git clone https://github.com/discourse/discourse-push-notifications.git
          - git clone https://github.com/gnunicorn/discourse-plugin-profile-notes.git
          - git clone https://github.com/pmusaraj/discourse-onesignal.git
          - git clone https://github.com/discourse/discourse-policy.git
          - git clone https://github.com/angusmcleod/discourse-moderator-extension.git
          - git clone https://github.com/xfalcox/discourse-backups-to-dropbox.git
          - git clone https://github.com/discourse/discourse-affiliate.git
          - git clone https://github.com/discourse/discourse-akismet.git
          - git clone https://github.com/saiqulhaq/discourse-admin-statistics-digest.git
          - git clone https://github.com/discourse/discourse-adplugin.git
          - git clone https://github.com/discoursehosting/discourse-adsense.git

not sure why it’s giving app
(<unknown>): found a tab character that violate indentation while scanning a plain scalar at line 93 column 13 -e LANG=en_US.UTF-8 YAML syntax error. Please check your containers/*.yml config files.

It’s probably because you have included a tab rather than spaces. And hence, it’s not indented correctly.

My recommendation is that you delete app.yml, run discourse-setup again.

Then, copy and paste the first plugin line and edit it by removing the github address and pasting in the new one.

You didn’t ask, but it is almost certainly a bad idea to install all of those plugins.

3 Likes